Class | ActionView::Helpers::InstanceTag
In: | lib/haml/helpers/action_view_mods.rb
Parent: | Object

### Methods

content_tag haml_buffer is_haml?

### Public Instance methods

content_tag(*args)

[Source]

         # File lib/haml/helpers/action_view_mods.rb, line 130
    130:       def content_tag(*args)
    131:         html_tag = content_tag_with_haml(*args)
    132:         return html_tag unless respond_to?(:error_wrapping)
    133:         return error_wrapping(html_tag) if method(:error_wrapping).arity == 1
    134:         return html_tag unless object.respond_to?(:errors) && object.errors.respond_to?(:on)
    135:         return error_wrapping(html_tag, object.errors.on(@method_name))
    136:       end

haml_buffer()

Includes TagHelper

[Source]

         # File lib/haml/helpers/action_view_mods.rb, line 122
    122:       def haml_buffer
    123:         @template_object.send :haml_buffer
    124:       end

is_haml?()

[Source]

         # File lib/haml/helpers/action_view_mods.rb, line 126
    126:       def is_haml?
    127:         @template_object.send :is_haml?
    128:       end

[Validate]